List order events

Lists event log entries for an order with organization and user display data hydrated, filtering, sorting, and pagination. | authz: min_org_role=administrator | authz_personas=[draft_creator_org_operator, coordinator_org_operators] | () -> (OrderEventListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

order_idstringRequired

Query parameters

sort_by"timestamp"Optional
Field to sort by
sort_orderenumOptional

Sort order (asc or desc)

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
filter_actionenumOptional

Filter by order event action(s)

filter_user_idstringOptional
Filter by actor user ID
filter_org_idstringOptional
Filter by actor org ID
filter_timestamp_gtedatetimeOptional

Filter timestamp >= value

filter_timestamp_ltedatetimeOptional

Filter timestamp <= value

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Order Events List V1request Unprocessable Entity Error